# EpicTheFamily - Bot Discord de Généalogie Virtuelle

![Exemple d'arbre généalogique](arbre_example.png)

## ✨ Fonctionnalités

### 👨‍👩‍👧‍👦 Commandes Famille
| Commande       | Description                          | Exemple                     |
|----------------|--------------------------------------|-----------------------------|
| `/enregistrer` | Enregistre/màj son profil           | `/enregistrer`              |
| `/adopter`     | Adopte un membre                    | `/adopter @Enfant`          |
| `/renier`      | Renie un enfant                     | `/renier @Enfant`           |
| `/parent`      | Affiche les parents                 | `/parent @Membre`           |
| `/enfants`     | Liste ses enfants                   | `/enfants`                  |
| `/arbre`       | Génère l'arbre familial             | `/arbre`                    |

### 💑 Commandes Couple
| Commande       | Description                          | Exemple                     |
|----------------|--------------------------------------|-----------------------------|
| `/couple`      | Officialise une relation            | `/couple @Partenaire`       |
| `/separer`     | Rompt une relation                  | `/separer @ExPartenaire`    |

### ⚙️ Commandes Admin
| Commande       | Description                          | Exemple                     |
|----------------|--------------------------------------|-----------------------------|
| `/racine`      | Définit un membre comme racine      | `/racine @Membre true`      |
| `/init`        | Initialise tous les membres         | `/init`                     |

## 🛠 Installation

### Prérequis
- Python 3.10+
- Discord Bot Token
- Serveur Discord avec permissions :
```ini
guilds, members, message_content
```

## Configuration
### 1. Clonez le dépôt : 

```bash
git clone https://github.com/votre-repo/EpicTheFamily.git
cd EpicTheFamily
```

### 2. Installez les dépendances : 
```bash
pip install -r requirements.txt
```

### 3. Configurez les fichiers : 
```bash
vim .env
```
.env : 
```
DISCORD_TOKEN=token
```

## Exemple de service Systemd :
```
[Unit]
Description=EpicTheFamily Discord Bot
After=network.target

[Service]
User=root
WorkingDirectory=/opt/epicthefamily
ExecStart=/opt/venv/epicthefamily/bin/python /opt/epicthefamily/bot.py
Restart=always
Environment="PYTHONUNBUFFERED=1"

[Install]
WantedBy=multi-user.target
```

## ⚖️ Licence

MIT License - Libre d'utilisation et modification
